Łukasz Gajowy created BEAM-3732:
-----------------------------------

             Summary: Building with profiles io-it-suite and io-it-suite-local 
fails
                 Key: BEAM-3732
                 URL: https://issues.apache.org/jira/browse/BEAM-3732
             Project: Beam
          Issue Type: Bug
          Components: io-java-hadoop, io-java-jdbc, sdk-java-core, testing
            Reporter: Łukasz Gajowy
            Assignee: Łukasz Gajowy


Running the following command:
{noformat}
mvn clean verify -Pio-it-suite{noformat}
results in:
{noformat}
[ERROR] [ERROR] Some problems were encountered while processing the POMs:
[ERROR] 'build.plugins.plugin.version' for 
org.apache.maven.plugins:maven-surefire-plugin must be a valid version but is 
'${surefire-plugin.version}'. @ 
org.apache.beam:beam-sdks-java-io-file-based-io-tests:[unknown-version], 
/Users/lukasz/Projects/apache-beam/beam/sdks/java/io/file-based-io-tests/pom.xml,
 line 139, column 34
[ERROR] 'build.plugins.plugin.version' for 
org.apache.maven.plugins:maven-surefire-plugin must be a valid version but is 
'${surefire-plugin.version}'. @ 
org.apache.beam:beam-sdks-java-io-hadoop-input-format:[unknown-version], 
/Users/lukasz/Projects/apache-beam/beam/sdks/java/io/hadoop-input-format/pom.xml,
 line 185, column 22
@
[ERROR] The build could not read 2 projects -> [Help 1]
[ERROR]
[ERROR] The project 
org.apache.beam:beam-sdks-java-io-file-based-io-tests:2.4.0-SNAPSHOT 
(/Users/lukasz/Projects/apache-beam/beam/sdks/java/io/file-based-io-tests/pom.xml)
 has 1 error
[ERROR] 'build.plugins.plugin.version' for 
org.apache.maven.plugins:maven-surefire-plugin must be a valid version but is 
'${surefire-plugin.version}'. @ 
org.apache.beam:beam-sdks-java-io-file-based-io-tests:[unknown-version], 
/Users/lukasz/Projects/apache-beam/beam/sdks/java/io/file-based-io-tests/pom.xml,
 line 139, column 34
[ERROR]
[ERROR] The project 
org.apache.beam:beam-sdks-java-io-hadoop-input-format:2.4.0-SNAPSHOT 
(/Users/lukasz/Projects/apache-beam/beam/sdks/java/io/hadoop-input-format/pom.xml)
 has 1 error
[ERROR] 'build.plugins.plugin.version' for 
org.apache.maven.plugins:maven-surefire-plugin must be a valid version but is 
'${surefire-plugin.version}'. @ 
org.apache.beam:beam-sdks-java-io-hadoop-input-format:[unknown-version], 
/Users/lukasz/Projects/apache-beam/beam/sdks/java/io/hadoop-input-format/pom.xml,
 line 185, column 22
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e 
switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please 
read the following articles:
[ERROR] [Help 1] 
http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException{noformat}
 

This is broken since commit: 0ec27cd4fcc28350860e303786ad31a07aa87bf2. 

 



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to